/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * JndiMBeanImplTest.java
 * JUnit based test
 *
 * Created on April 1, 2004, 5:04 PM
 */

package com.sun.enterprise.admin.monitor.jndi;

import com.sun.enterprise.admin.common.constant.AdminConstants;
import com.sun.enterprise.util.i18n.StringManager;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.management.AttributeList;
import javax.management.AttributeNotFoundException;
import javax.management.InvalidAttributeValueException;
import javax.management.MBeanException;
import javax.management.MBeanInfo;
import javax.management.MBeanOperationInfo;
import javax.management.MBeanParameterInfo;
import javax.management.ReflectionException;
import javax.naming.NameClassPair;
import javax.naming.NamingException;
import junit.framework.*;

/**
 *
 * @author Rob
 */
public class JndiMBeanImplTest extends TestCase {
    
    public JndiMBeanImplTest(java.lang.String testName) {
        super(testName);
    }
    
    public static Test suite() {
        TestSuite suite = new TestSuite(JndiMBeanImplTest.class);
        return suite;
    }
    
    /**
     * Test of initialize method, of class com.sun.enterprise.admin.monitor.jndi.JndiMBeanImpl.
     */
    public void testInitialize() {
        System.out.println("testInitialize");
        fail("The test case is empty.");
    }
    
    /**
     * Test of getAttribute method, of class com.sun.enterprise.admin.monitor.jndi.JndiMBeanImpl.
     */
    public void testGetAttribute() {
        System.out.println("testGetAttribute");
        fail("The test case is empty.");
    }
    
    /**
     * Test of getAttributes method, of class com.sun.enterprise.admin.monitor.jndi.JndiMBeanImpl.
     */
    public void testGetAttributes() {
        System.out.println("testGetAttributes");
        fail("The test case is empty.");
    }
    
    /**
     * Test of getMBeanInfo method, of class com.sun.enterprise.admin.monitor.jndi.JndiMBeanImpl.
     */
    public void testGetMBeanInfo() {
        System.out.println("testGetMBeanInfo");
        fail("The test case is empty.");
    }
    
    /**
     * Test of getOperationInfo method, of class com.sun.enterprise.admin.monitor.jndi.JndiMBeanImpl.
     */
    public void testGetOperationInfo() {
        System.out.println("testGetOperationInfo");
        fail("The test case is empty.");
    }
    
    /**
     * Test of createOperationInfo method, of class com.sun.enterprise.admin.monitor.jndi.JndiMBeanImpl.
     */
    public void testCreateOperationInfo() {
        System.out.println("testCreateOperationInfo");
        fail("The test case is empty.");
    }
    
    /**
     * Test of getParameterInfo method, of class com.sun.enterprise.admin.monitor.jndi.JndiMBeanImpl.
     */
    public void testGetParameterInfo() {
        System.out.println("testGetParameterInfo");
        fail("The test case is empty.");
    }
    
    /**
     * Test of isAttrGetterOrSetter method, of class com.sun.enterprise.admin.monitor.jndi.JndiMBeanImpl.
     */
    public void testIsAttrGetterOrSetter() {
        System.out.println("testIsAttrGetterOrSetter");
        fail("The test case is empty.");
    }
    
    /**
     * Test of invoke method, of class com.sun.enterprise.admin.monitor.jndi.JndiMBeanImpl.
     */
    public void testInvoke() {
        System.out.println("testInvoke");
        fail("The test case is empty.");
    }
    
    /**
     * Test of setAttribute method, of class com.sun.enterprise.admin.monitor.jndi.JndiMBeanImpl.
     */
    public void testSetAttribute() {
        System.out.println("testSetAttribute");
        fail("The test case is empty.");
    }
    
    /**
     * Test of setAttributes method, of class com.sun.enterprise.admin.monitor.jndi.JndiMBeanImpl.
     */
    public void testSetAttributes() {
        System.out.println("testSetAttributes");
        fail("The test case is empty.");
    }
    
    /**
     * Test of getNames method, of class com.sun.enterprise.admin.monitor.jndi.JndiMBeanImpl.
     */
    public void testGetNames() {
        System.out.println("testGetNames");
        fail("The test case is empty.");
    }
    
    public static void main(java.lang.String[] args) {
        junit.textui.TestRunner.run(suite());
    }
    
    // TODO add test methods here, they have to start with 'test' name.
    // for example:
    // public void testHello() {}
    
    
}
